-- =============================================  
-- Author:  Caruso Fabrizio  
-- Create date: 17/09/2014  
-- Description:   
-- Controllo corretta generazione del campo POSITION ID sulla tabella  
-- C6StagingPeriodico.SPB_CONTR_SINTESI  
-- Impostazione Codice TIPO CONTROLLO per il controllo specifico   
-- ( per riferimenti al tipo controllo verificare tabella "tb_tipocontrollo" )  
-- =============================================  
CREATE procedure [C6MartPeriodico].[SP_DQ_PositionIDConsulenza]  
@idFaseElaborazione int  
AS  
BEGIN  
Declare @idTipoControllo int  
set @idTipoControllo=12     
SELECT RETE, cod_fiscale codfis,@idTipoControllo idtipocontrollo  
into #TbErrori  
FROM C6StagingPeriodico.RP_CONSULENZA WHERE isnull(position_id,'') = ''  
GROUP BY RETE, cod_fiscale  
declare @idElab  int  
select @idElab=max(id_elab) from  c6martperiodico.elaborazioni  
--select * from c6martperiodico.tb_tipocontrollo  
Insert into C6MartPeriodico.TB_SegnalazioniDataQuality  
(   
idTipoControllo,  
rete,  
codiceFiscale,  
descSegnalazione,  
idElaborazione,  
richiesta,  
idFaseElaborazione)  
select tbErr.idTipoControllo,rete,codfis,DescSegnalazione,@idelab,'',@idFaseElaborazione  
from #TbErrori tbErr  
inner join c6martperiodico.tb_tipocontrollo Tipo  
on tbErr.idtipocontrollo = tipo.idTipoControllo  
end